Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Apr 2013 14:50:14 -0400

> Could be, but if we want to change that, we need to come up with some
> useful idea of how to deal with a situation where you have the fringe
> between the display margins and the rest of the text area.  Surely, in
> this case you must include the display margins in the window
> dimensions, but OTOH the fringes separate the window into 2 disjoint
> areas.

FWIW, I haven't followed all the details of this discussion, but it
seems to be about "how do we adjust the size of the frame when some
display elements are added/removed".  If so, then one answer is "never
adjust it".  Of course with frames measured in "lines × columns" this
comes with its own set of problems, but if we switch to measuring frames
in pixels, the problem should hopefully become simpler.

        Stefan